(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@grapecity/dataviews.common'), require('@grapecity/dataviews.core')) :
    typeof define === 'function' && define.amd ? define('@grapecity/dataviews.angular10', ['exports', '@angular/core', '@grapecity/dataviews.common', '@grapecity/dataviews.core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.grapecity = global.grapecity || {}, global.grapecity.dataviews = global.grapecity.dataviews || {}, global.grapecity.dataviews.angular10 = {}), global.ng.core, global.dataviews_common, global.dataviews_core));
}(this, (function (exports, core, dataviews_common, dataviews_core) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    function isTrue(val) {
        if (dataviews_common._.isNil(val)) {
            return false;
        }
        if (dataviews_common._.isBoolean(val)) {
            return val !== false;
        }
        if (dataviews_common._.isNumber(val)) {
            return val !== 0;
        }
        return true;
    }
    function makeGridLayout(options) {
        var Plugin = dataviews_common.findPlugin('GridLayout');
        if (!Plugin) {
            throw new Error('@grapecity/dataviews.grid is not loaded');
        }
        return new Plugin(options);
    }
    var ɵ0 = function (v) { return v.selectionChanged; }, ɵ1 = function (v) { return v.focusChanged; }, ɵ2 = function (v) { return v.grouping; }, ɵ3 = function (v) { return v.rowClick; }, ɵ4 = function (v) { return v.rowDbClick; }, ɵ5 = function (v) { return v.columnReorder; }, ɵ6 = function (v) { return v.rowReorder; }, ɵ7 = function (v) { return v.columnChanged; }, ɵ8 = function (v) { return v.editing; }, ɵ9 = function (v) { return v.beforeLoadRange; };
    var eventMap = {
        selectionChanged: ɵ0,
        focusChanged: ɵ1,
        grouping: ɵ2,
        rowClick: ɵ3,
        rowDbClick: ɵ4,
        columnReorder: ɵ5,
        rowReorder: ɵ6,
        columnChanged: ɵ7,
        editing: ɵ8,
        beforeLoadRange: ɵ9,
    };
    function isEmpty(a) {
        return !a || a.length === 0;
    }
    var GridEvent = /** @class */ (function (_super) {
        __extends(GridEvent, _super);
        function GridEvent(name, component) {
            var _this = _super.call(this) || this;
            _this.emitter = function (event) {
                _this.emit(event);
            };
            _this.name = name;
            _this.component = component;
            return _this;
        }
        GridEvent.prototype.subscribe = function (generatorOrNext, error, complete) {
            var _this = this;
            var onObservers = isEmpty(this.observers);
            var sub = _super.prototype.subscribe.call(this, generatorOrNext, error, complete);
            if (onObservers) {
                this.register();
            }
            sub.add(function () {
                if (isEmpty(_this.observers)) {
                    _this.unregister();
                }
            });
            return sub;
        };
        Object.defineProperty(GridEvent.prototype, "gridEvent", {
            get: function () {
                return eventMap[this.name](this.component.dataView);
            },
            enumerable: false,
            configurable: true
        });
        GridEvent.prototype.register = function () {
            if (this.component.dataView && !this.gridEvent.contains(this.emitter)) {
                this.gridEvent.addHandler(this.emitter);
            }
        };
        GridEvent.prototype.unregister = function () {
            if (this.component.dataView) {
                this.gridEvent.removeHandler(this.emitter);
            }
        };
        return GridEvent;
    }(core.EventEmitter));
    /**
     * Angular component for {@link DataView} control
     *
     * See examples:
     * - {@sample Features/Basics/Introduction/angular Basic Data Grid}
     * - {@sample DataViews/Calendar/Calendar/angular Calendar Layout}
     * - {@sample DataViews/Card/CardLayoutEngine/angular Card Layout}
     * - {@sample DataViews/Trellis/TrellisWithGridLayout/angular Trellis Layout}
     * - {@sample DataViews/Masonry/MasonryLayout/angular Masonry Layout}
     * - {@sample DataViews/Timeline/TimelineGrouping/angular Timeline Grouping}
     */
    var DataViewComponent = /** @class */ (function () {
        /**
         * Initializes new instance of DataViewComponent
         * @param container a reference to host container
         */
        function DataViewComponent(container) {
            this._initialized = false;
            /**
             * This event occurs on each creation of underlying DataView component.
             */
            this.created = new core.EventEmitter();
            /**
             * This event occurs when the user changes the selection using UI actions.
             */
            this.selectionChanged = new GridEvent('selectionChanged', this);
            /**
             * This event occurs when the focused row is changed. The event fires on [[GridLayout]] or [[HorizontalLayout]]
             */
            this.focusChanged = new GridEvent('focusChanged', this);
            /**
             * This event occurs when the user updates groups with UI actions. The event is fired before the actual update happens
             */
            this.grouping = new GridEvent('grouping', this);
            /**
             * This event occurs when clicking the row
             */
            this.rowClick = new GridEvent('rowClick', this);
            /**
             * This event occurs when double-clicking the row
             */
            this.rowDbClick = new GridEvent('rowDbClick', this);
            /**
             * This event occurs when the user starts dragging the column and before dropping the column in the column header
             */
            this.columnReorder = new GridEvent('columnReorder', this);
            /**
             * This event occurs when the user starts dragging the row and before inserting the row at new position
             */
            this.rowReorder = new GridEvent('rowReorder', this);
            /**
             * This event occurs when the user changes the column visibility, pinned option, or column width, or expands or collapses the column group from UI
             */
            this.columnChanged = new GridEvent('columnChanged', this);
            /**
             * This event occurs before editing, once editing has started, before editing has ended, or editing has stopped
             */
            this.editing = new GridEvent('editing', this);
            /**
             * This event occurs before loading next data range.
             */
            this.beforeLoadRange = new GridEvent('beforeLoadRange', this);
            this.container = container;
        }
        Object.defineProperty(DataViewComponent.prototype, "data", {
            /**
             * Specifies an array of objects for the grid model or a dataSource object
             */
            get: function () {
                return this._data;
            },
            set: function (value) {
                if (value === this._data) {
                    return;
                }
                this._data = value;
                this.recreateView();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DataViewComponent.prototype, "cols", {
            /**
             * Specifies an array of column definitions to initialize the grid
             */
            get: function () {
                return this._cols;
            },
            set: function (value) {
                if (dataviews_common._.isEqual(value, this._cols)) {
                    return;
                }
                this._cols = value;
                if (this._initialized) {
                    this.dataView.columns = value;
                    this.dataView.invalidate();
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DataViewComponent.prototype, "config", {
            /**
             * Specifies a JSON object used to deserialize the grid from
             */
            get: function () {
                return this._config;
            },
            set: function (value) {
                if (value === this._config) {
                    return;
                }
                this._config = value;
                this.recreateView();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DataViewComponent.prototype, "layout", {
            /**
             * Specifies layout strategy. Default value is instance of {@link GridLayout} with default options
             */
            get: function () {
                return this._layout;
            },
            set: function (value) {
                if (value === this._layout) {
                    return;
                }
                this._layout = value;
                this.recreateView();
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DataViewComponent.prototype, "options", {
            /**
             * Specifies options of layout strategy and other common options like filtering/sorting/grouping.
             */
            get: function () {
                return this._options;
            },
            set: function (value) {
                if (dataviews_common._.isEqual(value, this._options)) {
                    return;
                }
                this._options = value;
                if (this.dataView && !dataviews_common._.isEmpty(this._options)) {
                    dataviews_common.assignGridOptions(this.dataView.options, this._options);
                    this.dataView.invalidate();
                }
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(DataViewComponent.prototype, "groupingOptions", {
            /**
             * Specifies options of grouping strategy.
             */
            get: function () {
                return this._groupingOptions;
            },
            set: function (value) {
                if (dataviews_common._.isEqual(value, this._groupingOptions)) {
                    return;
                }
                this._groupingOptions = value;
                if (this.dataView && !dataviews_common._.isEmpty(this._groupingOptions)) {
                    dataviews_common.assignDeep(this.dataView.layoutEngine.groupStrategy.options, this._groupingOptions);
                    this.dataView.invalidate();
                }
            },
            enumerable: false,
            configurable: true
        });
        DataViewComponent.prototype.ngAfterViewInit = function () {
            this.createView();
            this._initialized = true;
            if (isTrue(this.autoFocus)) {
                this.container.nativeElement.focus();
            }
        };
        DataViewComponent.prototype.ngOnDestroy = function () {
            this.destroyView();
            this._initialized = false;
        };
        DataViewComponent.prototype.createView = function () {
            if (!this._layout) {
                this._layout = makeGridLayout(this._options || {});
            }
            this.dataView = new dataviews_core.DataView(this.container.nativeElement, this.data, this.cols || this.config, this._layout);
            this.registerHandlers();
            dataviews_common.setInstance(this.dataView.uid, this.dataView);
            this.created.emit(this.dataView);
            this.applyOptions();
        };
        DataViewComponent.prototype.destroyView = function () {
            if (this.dataView) {
                dataviews_common.deleteInstance(this.dataView.uid);
                this.unregisterHandlers();
                this.dataView.destroy();
                this.dataView = undefined;
            }
        };
        DataViewComponent.prototype.recreateView = function () {
            if (!this._initialized) {
                return;
            }
            this.destroyView();
            this.createView();
        };
        DataViewComponent.prototype.registerHandlers = function () {
            var e_1, _a;
            try {
                for (var _b = __values(Object.keys(eventMap)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var eventName = _c.value;
                    this[eventName].register();
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        DataViewComponent.prototype.unregisterHandlers = function () {
            var e_2, _a;
            try {
                for (var _b = __values(Object.keys(eventMap)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var eventName = _c.value;
                    this[eventName].unregister();
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
        };
        DataViewComponent.prototype.applyOptions = function (forceInvalidate) {
            if (forceInvalidate === void 0) { forceInvalidate = false; }
            var hasOptions = false;
            if (!dataviews_common._.isEmpty(this._options)) {
                hasOptions = true;
                dataviews_common.assignGridOptions(this.dataView.options, this._options);
            }
            if (!dataviews_common._.isEmpty(this._groupingOptions) && this.dataView.layoutEngine.groupStrategy) {
                hasOptions = true;
                dataviews_common.assignDeep(this.dataView.layoutEngine.groupStrategy.options, this._groupingOptions);
            }
            if (forceInvalidate || hasOptions) {
                this.dataView.invalidate();
            }
        };
        return DataViewComponent;
    }());
    DataViewComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'gc-dataview',
                    template: "<ng-content></ng-content>",
                    styles: [':host { display: block; width: 100%; height: 100% }']
                },] }
    ];
    DataViewComponent.ctorParameters = function () { return [
        { type: core.ElementRef }
    ]; };
    DataViewComponent.propDecorators = {
        data: [{ type: core.Input }],
        cols: [{ type: core.Input }],
        config: [{ type: core.Input }],
        layout: [{ type: core.Input }],
        options: [{ type: core.Input }],
        groupingOptions: [{ type: core.Input }],
        autoFocus: [{ type: core.Input }],
        created: [{ type: core.Output }],
        selectionChanged: [{ type: core.Output }],
        focusChanged: [{ type: core.Output }],
        grouping: [{ type: core.Output }],
        rowClick: [{ type: core.Output }],
        rowDbClick: [{ type: core.Output }],
        columnReorder: [{ type: core.Output }],
        rowReorder: [{ type: core.Output }],
        columnChanged: [{ type: core.Output }],
        editing: [{ type: core.Output }],
        beforeLoadRange: [{ type: core.Output }]
    };
    /**
     * Angular module with {@link DataViewComponent} included for importing in an angular application
     */
    // tslint:disable-next-line:no-unnecessary-class
    var DataViewModule = /** @class */ (function () {
        function DataViewModule() {
        }
        return DataViewModule;
    }());
    DataViewModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [DataViewComponent],
                    exports: [DataViewComponent],
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.DataViewComponent = DataViewComponent;
    exports.DataViewModule = DataViewModule;
    exports.ɵ0 = ɵ0;
    exports.ɵ1 = ɵ1;
    exports.ɵ2 = ɵ2;
    exports.ɵ3 = ɵ3;
    exports.ɵ4 = ɵ4;
    exports.ɵ5 = ɵ5;
    exports.ɵ6 = ɵ6;
    exports.ɵ7 = ɵ7;
    exports.ɵ8 = ɵ8;
    exports.ɵ9 = ɵ9;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=grapecity-dataviews.angular10.umd.js.map
